<link rel="import" href="chrome://resources/polymer/v1_0/polymer/polymer.html">
<link rel="import" href="chrome://resources/polymer/v1_0/paper-checkbox/paper-checkbox.html">
<link rel="import" href="chrome://resources/polymer/v1_0/paper-radio-button/paper-radio-button.html">
<link rel="import" href="chrome://resources/polymer/v1_0/paper-radio-group/paper-radio-group.html">
<link rel="import" href="chrome://resources/cr_elements/v1_0/cr_button/cr_button.html">
<link rel="import" href="chrome://md-settings/checkbox/checkbox.html">

<dom-module id="cr-settings-sync-page">
  <link rel="import" type="css"
      href="chrome://md-settings/settings_page/settings_page.css">
  <link rel="import" type="css" href="sync_page.css">
  <template>
    <div i18n-content="syncPageTitle"></div>
    <select>
      <option value="sync-everything"
          i18n-content="syncEverythingMenuOption">
      </option>
      <option value="choose-what-to-sync"
          i18n-content="chooseWhatToSyncMenuOption">
      </option>
    </select>
    <div class="checkbox-container">
      <div class="checkbox-container-row">
        <paper-checkbox>
          <span i18n-content="appCheckboxLabel"></span>
        </paper-checkbox>
        <paper-checkbox>
          <span i18n-content="extensionsCheckboxLabel"></span>
        </paper-checkbox>
        <paper-checkbox>
          <span i18n-content="settingsCheckboxLabel"></span>
        </paper-checkbox>
      </div>
      <div class="checkbox-container-row">
        <paper-checkbox>
          <span i18n-content="autofillCheckboxLabel"></span>
        </paper-checkbox>
        <paper-checkbox>
          <span i18n-content="historyCheckboxLabel"></span>
        </paper-checkbox>
        <paper-checkbox>
          <span i18n-content="themesAndWallpapersCheckboxLabel"></span>
        </paper-checkbox>
      </div>
      <div class="checkbox-container-row">
        <paper-checkbox>
          <span i18n-content="bookmarksCheckboxLabel"></span>
        </paper-checkbox>
        <paper-checkbox>
          <span i18n-content="passwordsCheckboxLabel"></span>
        </paper-checkbox>
        <paper-checkbox>
          <span i18n-content="openTabsCheckboxLabel"></span>
        </paper-checkbox>
      </div>
    </div>
    <div i18n-content="encryptionOptionsTitle"></div>
    <div i18n-content="syncDataEncryptedText"></div>
    <paper-radio-group selected="encrypt-with-google">
      <paper-radio-button name="encrypt-with-google"
          i18n-content="encryptWithGoogleCredentialsLabel">
      </paper-radio-button>
      <paper-radio-button name="encrypt-with-passphrase"
          i18n-content="encryptWithSyncPassphraseLabel">
      </paper-radio-button>
    </paper-radio-group>
    <div>
      <cr-button i18n-content="useDefaultSettingsButton"></cr-button>
      <cr-button i18n-content="cancelButton"></cr-button>
      <cr-button i18n-content="okButton"></cr-button>
    </div>
  </template>
  <script src="sync_page.js"></script>
</dom-module>
